<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
  <Package Version="4">
    <Name Value="alternative_castle_window_based_on_lcl"/>
    <AddToProjectUsesSection Value="True"/>
    <Author Value="Michalis Kamburelis"/>
    <CompilerOptions>
      <Version Value="11"/>
      <SearchPaths>
        <IncludeFiles Value="../src/window/unix;../src/window/windows;../src/window/gtk;../src/base;../src/window"/>
        <OtherUnitFiles Value="../src/window;../src/window/windows;../src/window/unix"/>
        <UnitOutputDirectory Value="lib/alternate_window/$(TargetCPU)-$(TargetOS)"/>
      </SearchPaths>
      <Parsing>
        <SyntaxOptions>
          <CStyleMacros Value="True"/>
        </SyntaxOptions>
      </Parsing>
      <CodeGeneration>
        <Checks>
          <IOChecks Value="True"/>
        </Checks>
        <Optimizations>
          <OptimizationLevel Value="2"/>
        </Optimizations>
      </CodeGeneration>
      <Other>
        <Verbosity>
          <ShowHints Value="False"/>
        </Verbosity>
        <CustomOptions Value="-Sh
-dCASTLE_ENGINE_LAZARUS_PACKAGE
-dCASTLE_WINDOW_LCL"/>
      </Other>
    </CompilerOptions>
    <Description Value="Castle Game Engine - CastleWindow and units using it.
This package cannot be installed under Lazarus, it's only for being used in other programs. CastleWindow unit initializes some things inside XWindows / WinAPI that may conflict with Lazarus reserving the same resources."/>
    <License Value="GNU GPL >= 2
(or LGPL >= 2, if compiled with CASTLE_ENGINE_LGPL)"/>
    <Version Major="6" Minor="4"/>
    <Files Count="14">
      <Item1>
        <Filename Value="../src/base/castleconf.inc"/>
        <Type Value="Include"/>
      </Item1>
      <Item2>
        <Filename Value="../src/window/castlemessages.pas"/>
        <UnitName Value="CastleMessages"/>
      </Item2>
      <Item3>
        <Filename Value="../src/window/castlesoundmenu.pas"/>
        <UnitName Value="CastleSoundMenu"/>
      </Item3>
      <Item4>
        <Filename Value="../src/window/castlewindow.pas"/>
        <UnitName Value="CastleWindow"/>
      </Item4>
      <Item5>
        <Filename Value="../src/window/castlewindowmodes.pas"/>
        <UnitName Value="CastleWindowModes"/>
      </Item5>
      <Item6>
        <Filename Value="../src/window/castlewindowprogress.pas"/>
        <UnitName Value="CastleWindowProgress"/>
      </Item6>
      <Item7>
        <Filename Value="../src/window/castlewindowrecentfiles.pas"/>
        <UnitName Value="CastleWindowRecentFiles"/>
      </Item7>
      <Item9>
        <Filename Value="../src/window/unix/castlewindow_xf86vmode.inc"/>
        <Type Value="Include"/>
      </Item9>
      <Item10>
        <Filename Value="../src/window/unix/castlewindow_xlib.inc"/>
        <Type Value="Include"/>
      </Item10>
      <Item12>
        <Filename Value="../src/window/unix/castleinternalxlib.pas"/>
        <AddToUsesPkgSection Value="False"/>
        <UnitName Value="CastleInternalXlib"/>
      </Item12>
      <Item11>
        <Filename Value="../src/window/windows/castlewindow_winapi.inc"/>
        <Type Value="Include"/>
      </Item11>
      <Item8>
        <Filename Value="../src/window/castlewindow_lcl.inc"/>
        <Type Value="Include"/>
      </Item8>
      <Item13>
        <Filename Value="../src/window/castleuistate.pas"/>
        <UnitName Value="CastleUIState"/>
      </Item13>
      <Item14>
        <Filename Value="../src/window/castledialogstates.pas"/>
        <UnitName Value="CastleDialogStates"/>
      </Item14>
    </Files>
    <RequiredPkgs Count="3">
      <Item1>
        <PackageName Value="castle_components"/>
      </Item1>
      <Item2>
        <PackageName Value="castle_base"/>
      </Item2>
      <Item3>
        <PackageName Value="FCL"/>
        <MinVersion Major="1" Valid="True"/>
      </Item3>
    </RequiredPkgs>
    <UsageOptions>
      <UnitPath Value="$(PkgOutDir)"/>
    </UsageOptions>
    <PublishOptions>
      <Version Value="2"/>
      <IgnoreBinaries Value="False"/>
    </PublishOptions>
    <Provides Count="1">
      <Item1 Value="castle_window"/>
    </Provides>
  </Package>
</CONFIG>
